Printago API
POST /v1/sku-variants/props

Create a new variant property

Requires: sku.edit

Request Body

- Variant property data

CreateSkuOptionPropertyRequest
bindingIdoptional
string
For local properties: primary source binding (null = global property)
bindingId2optional
string
For compound local properties: 2nd source binding
bindingId3optional
string
For compound local properties: 3rd source binding
namerequired
string
optionIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any

Example Request

application/json
{
  "optionId": "string",
  "name": "string"
}

Response Schema

SkuOptionProperty
bindingIdoptional
string
bindingId2optional
string
bindingId3optional
string
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
optionIdrequired
string
pattern: ^[a-z0-9]{24}$
orderrequired
number
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "optionId": "string",
  "name": "string",
  "order": 1,
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:56.330Z",
  "updatedAt": "2026-08-24T03:58:56.330Z"
}